package org.studiorailgun.sim.character.emotion;

/**
 * Contains emotion data about the character
 */
public class EmotionData {
    
    /**
     * How positive/negative the character is
     */
    float valence;

    /**
     * How aroused the character is
     */
    float arousal;

    /**
     * How dominant the character is
     */
    float dominance;

    /**
     * Gets the valence of the character
     * @return The valence of the character
     */
    public float getValence() {
        return valence;
    }

    /**
     * Sets the valence of the character
     * @param valence The valence of the character
     */
    public void setValence(float valence) {
        this.valence = valence;
    }

    /**
     * Gets the arousal of the character
     * @return The arousal of the character
     */
    public float getArousal() {
        return arousal;
    }

    /**
     * Sets the arousal of the character
     * @param arousal The arousal of the character
     */
    public void setArousal(float arousal) {
        this.arousal = arousal;
    }

    /**
     * Gets the dominance of the character
     * @return The dominance of the character
     */
    public float getDominance() {
        return dominance;
    }

    /**
     * Sets the dominance of the character
     * @param dominance The dominance of the character
     */
    public void setDominance(float dominance) {
        this.dominance = dominance;
    }

}
